<?php
$list = require_once 'api.php';

?>


<!DOCTYPE HTML>
<html>
<html>
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="renderer" content="webkit">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>本地环境接口调试器 - 小黄牛博客</title>
    <script src="https://blog.junphp.com/public/js/jquery.min.js"></script>
<style>
html,body{margin: 0;padding: 0;font-size: 14px;font-family: '微软雅黑';}
.w20{width:15%;border:1px solid #ccc;min-height: 600px;float:left;border-right:0}
.w30{width:30%;border:1px solid #ccc;min-height: 600px;float:left;}
.w50{width:39%;border:1px solid #ccc;min-height: 600px;float:left;border-left:0}
ul,li{list-style: none;padding:5px 0 2px 5px;margin:0;cursor: pointer;}
.his{color: #0089ff;font-weight: 600;}
#url,#name,select,.input-text{width: 80%;padding: 5px 2px;border-radius: 5px;border: 1px solid #0089ff;color: #0089ff;}
.radius{border: 1px solid #ff3e58;color: #ffffff;background: #ff3e58;border-radius: 5px;cursor: pointer;}
.btn-primary{ margin: 5px 0;background: #0089ff;border: 1px solid #0089ff;padding: 5px;}
pre{
    padding: 10px;
    display: block;
    font-family: -moz-fixed;
    white-space: pre;
    margin: 1em 0;
    white-space: pre-wrap;
    word-wrap: break-word;
}
</style>

</head>
<body>

<div class="w20" id="list">
    <ul>
        <?php foreach ($list as $k=>$v) {?>
        <li data-url="<?php echo$v['url'];?>" data-method="<?php echo$v['method'];?>"><?php echo ($k+1).'、'.$v['title'];?></li>
        <?php } ?>
    </ul>
</div>
<div class="w20">
    <ul id="list2">
        
    </ul>
</div>

<div class="w30">
            
    <form method="post" id="myForm" >
    <div style="padding:10px">
            接口名称：<span id="title"></span>
    </div>
    <div style="padding:10px">
            请求方法：<span id="method"></span>
            <input type="hidden" id="method2" name="method" />
    </div>
    <div style="padding:10px">
            地址：<input type="text" id="url" name="url" />
    </div>
    <div style="padding:10px">
            请求类型：<select name="type">
                <option value="1">form</option>
                <option value="2">json</option>
                <option value="3">xml</option>
                <option value="4">raw</option>
            </select>
    </div>
    <div style="padding:10px">
            记录名：<input type="text" id="name" name="name" />
    </div>
    <div class="row cl add_Fbox" style="padding:0 10px">
        <div class="dbanner">
            <label class="form-label col-2">参数设置：</label>
            
            <div class="formControls col-10"> 
                
                <span class="btn-upload form-group">
                    <input class="input-text noborder center" type="text" style="width:200px" placeholder="字段名" disabled>					
                </span>
                
                <span class="btn-upload form-group">
                    <input class="input-text noborder center" type="text" style="width:200px" placeholder="参数值" disabled>					
                </span>
                
                <a class="btn btn-success radius addfile">&nbsp;新增&nbsp;</a>
            </div>
        </div>
        <div id="param"></div>
    </div>
    
    <div class="row cl" style="padding:0 10px">
        <div class="col-10 col-offset-2">
            <button type="button" class="btn btn-primary radius">发送请求</button>
        </div>
    </div>
    </form>

</div>
<div class="w50">
    <pre id="content"><code></code></pre>
</div>

</body>
</html>
<script>
// 点击接口列表
$('#list li').click(function(){
    $('#list li').removeClass('his');
    $(this).addClass('his');

    $('#title').html($(this).html());
    $('#method').html($(this).attr('data-method'));
    $('#url').val($(this).attr('data-url'));

    // 找目录
    $.ajax({
        url : 'list.php',
        type : 'post',
        data : {
            'url':$(this).attr('data-url')
        },
        success : function(data){
            var array = eval('('+data+')');
            if (array['code'] == '00') {
                $('#list2').html(array['data']);
            } else {
                alert(array['msg']);
            }
        }
    });

    $('#name').val('');
    $('#param').html('');
})
// 点击记录列表
$('#list2').on('click', 'li', function(){
    $('#list2 li').removeClass('his');
    $(this).addClass('his');
    $('#name').val($(this).attr('data-value'));
    // 找目录
    $.ajax({
        url : 'get_log.php',
        type : 'post',
        data : {
            'url':$('#url').val(),
            'name':$(this).attr('data-name'),
        },
        success : function(data){
            var array = eval('('+data+')');
            if (array['code'] == '00') {
                $('#param').html(array['data']['field']);
                $('#content').html(array['data']['result']);
            } else {
                alert(array['msg']);
            }
        }
    });
})
// 标记状态
function status(url, name, status, _this) {
    $.ajax({
        url : 'status.php',
        type : 'post',
        data : {
            'url':url,
            'name':name,
            'status':status,
        },
        success : function(data){
            var array = eval('('+data+')');
            if (array['code'] == '00') {
                if (array['data'] == 1) {
                    $(_this).parent().css('color', '#3cb100');
                } else if (array['data'] == 2) {
                    $(_this).parent().css('color', 'red');
                } 
            } else {
                alert(array['msg']);
            }
        }
    });
    return false;
}
// 记录删除
function deletes(url, name, _this) {
    if (!confirm('确认删除该记录？')) return false;
    $.ajax({
        url : 'delete.php',
        type : 'post',
        data : {
            'url':url,
            'name':name,
        },
        success : function(data){
            var array = eval('('+data+')');
            if (array['code'] == '00') {
                $(_this).parent().remove();
            } else {
                alert(array['msg']);
            }
        }
    });
    return false;
}
// 发送请求
$('.btn-primary').click(function(){
    var data = new FormData($("#myForm")[0]);
    $.ajax({
        url : 'curl.php',
        type : 'post',
        data : data,
        async: false,
        processData: false,
        contentType: false,
        success : function(data){
            var array = eval('('+data+')');
            if (array['code'] == '00') {
                $('#content').html(array['data']);
            } else {
                alert(array['msg']);
            }
        }
    });
})
var Project ={
	doAttachment: function() {
		/* 添加模块 */
		$(document).on('click', '.addfile', function() {
			if($('.dbanner').length<=50){
				var i = 0;
				var str = $('#awardinfo').html();
				var f = '<div class="dbanner"><label class="form-label col-2 mt-5"></label><div class="formControls col-10 mt-5">';
					f+= str;
					f+= '<a class="btn btn-danger radius delfile mt-5" type="submit">&nbsp;删除&nbsp;</a></div></div>';
					$('#param').append(f);
			}else{
				layer.msg('超出设定个数');
			}
		});
		
		/* 删除模块 */		
		$(document).on('click', '.delfile', function() {
			$(this).parents('.dbanner').remove();
		});
			
	}
};
$(function() {
	Project.doAttachment(); //添加块 tr input
});
</script>

<script type="text/html" id="awardinfo">
<span class="btn-upload form-group">
	<input class="input-text" type="text" name="field[]" style="width:200px">					
</span>

<span class="btn-upload form-group">
	<input class="input-text" type="text" name="value[]" style="width:200px">					
</span>

</script>
