<?php
// +----------------------------------------------------------------------
// | 查找记录
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------
header('Content-type: text/html;charset=utf-8');

function json($code, $msg, $data=[]) {
    $return = [
        'code' => $code,
        'msg' => $msg,
        'data' => $data,
    ];

    echo json_encode($return, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
    exit;
}

function convertEncoding($string){
    //根据系统进行配置
    $encode = stristr(PHP_OS, 'WIN') ? 'UTF-8' : 'GBK';
    $string = iconv('GBK', $encode, $string);
    return $string;
}
function convertEncoding2($string){
    //根据系统进行配置
    $encode = stristr(PHP_OS, 'WIN') ? 'GBK' : 'UTF-8';
    $string = iconv('UTF-8', $encode, $string);
    return $string;
}

// 看看记录是否存在
$dir = dirname(__FILE__).DIRECTORY_SEPARATOR;
$field_dir = $dir.'field'.DIRECTORY_SEPARATOR.md5($_POST['url']).DIRECTORY_SEPARATOR;
$status_dir = $dir.'status'.DIRECTORY_SEPARATOR.md5($_POST['url']).DIRECTORY_SEPARATOR;

if (!file_exists($field_dir)) return json('00', '请求成功');

$arr = '';
$data = scandir($field_dir);
$k=1;
foreach ($data as $value){
    if ($value != '.' && $value != '..'){
        $value = convertEncoding($value);
        $status_path = $status_dir.$value;
        $status = 0;
        
        if (file_exists(convertEncoding2($status_path))) {
            $status = file_get_contents(convertEncoding2($status_path));
        }
        if ($status == 1) {
            $s = 'style="color:#3cb100"';
        } else if ($status == 2) {
            $s = 'style="color:red"';
        } else {
            $s = '';
        }
        $arr .= '<li '.$s.' data-name="'.$value.'" data-value="'.rtrim($value, '.json').'">'.$k.'、'.rtrim($value, '.json').'<button onclick="status(\''.$_POST['url'].'\', \''.$value.'\', 1, this)" style="float:right">通过</button><button onclick="status(\''.$_POST['url'].'\', \''.$value.'\', 2, this)" style="float:right">不通过</button><button onclick="deletes(\''.$_POST['url'].'\', \''.$value.'\', this)" style="float:right">删除</button></li>';
        $k++;
    }
}

return json('00', '请求成功', $arr);