<?php
// +----------------------------------------------------------------------
// | 标记记录测试状态
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------
header('Content-type: text/html;charset=utf-8');

function json($code, $msg, $data=[]) {
    $return = [
        'code' => $code,
        'msg' => $msg,
        'data' => $data,
    ];

    echo json_encode($return, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
    exit;
}

function convertEncoding($string){
    //根据系统进行配置
    $encode = stristr(PHP_OS, 'WIN') ? 'GBK' : 'UTF-8';
    $string = iconv('UTF-8', $encode, $string);
    return $string;
}

// 看看记录是否存在
$dir = dirname(__FILE__).DIRECTORY_SEPARATOR;
$status_dir = $dir.'status'.DIRECTORY_SEPARATOR.md5($_POST['url']).DIRECTORY_SEPARATOR;
$status_path = convertEncoding($status_dir.$_POST['name']);

if (!file_exists($status_dir)) mkdir(convertEncoding($status_dir),0777,true);

file_put_contents($status_path, $_POST['status']);

return json('00', '请求成功', $_POST['status']);