<?php
// +----------------------------------------------------------------------
// | 删除记录
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------
function json($code, $msg, $data=[]) {
    $return = [
        'code' => $code,
        'msg' => $msg,
        'data' => $data,
    ];

    echo json_encode($return, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
    exit;
}

function convertEncoding($string){
    //根据系统进行配置
    $encode = stristr(PHP_OS, 'WIN') ? 'GBK' : 'UTF-8';
    $string = iconv('UTF-8', $encode, $string);
    return $string;
}
// 看看记录是否存在
$dir = dirname(__FILE__).DIRECTORY_SEPARATOR;
$field_dir = $dir.'field'.DIRECTORY_SEPARATOR.md5($_POST['url']).DIRECTORY_SEPARATOR;
$field_path = convertEncoding($field_dir.$_POST['name']);
$result_dir = $dir.'result'.DIRECTORY_SEPARATOR.md5($_POST['url']).DIRECTORY_SEPARATOR;
$result_path = convertEncoding($result_dir.$_POST['name']);
$status_dir = $dir.'result'.DIRECTORY_SEPARATOR.md5($_POST['url']).DIRECTORY_SEPARATOR;
$status_path = convertEncoding($status_dir.$_POST['name']);

@unlink($field_path);
@unlink($result_path);
@unlink($status_path);

return json('00', '请求成功');