<?php
// +----------------------------------------------------------------------
// | 查找记录详情
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------
function json($code, $msg, $data=[]) {
    $return = [
        'code' => $code,
        'msg' => $msg,
        'data' => $data,
    ];

    echo json_encode($return, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
    exit;
}
function convertEncoding($string){
    //根据系统进行配置
    $encode = stristr(PHP_OS, 'WIN') ? 'GBK' : 'UTF-8';
    $string = iconv('UTF-8', $encode, $string);
    return $string;
}

// 看看记录是否存在
$dir = dirname(__FILE__).DIRECTORY_SEPARATOR;
$field_dir = $dir.'field'.DIRECTORY_SEPARATOR.md5($_POST['url']).DIRECTORY_SEPARATOR;
$field_path = convertEncoding($field_dir.$_POST['name']);
$result_dir = $dir.'result'.DIRECTORY_SEPARATOR.md5($_POST['url']).DIRECTORY_SEPARATOR;
$result_path = convertEncoding($result_dir.$_POST['name']);

if (!file_exists($field_dir)) return json('00', '请求成功', [
    'field' => '',
    'result' => '',
]);
$json = file_get_contents($field_path);
$arr = json_decode($json, true);
$html = '';
foreach ($arr as $k=>$v) {
    $html .= '<div class="dbanner"><label class="form-label col-2 mt-5"></label><div class="formControls col-10 mt-5">
    <span class="btn-upload form-group">
        <input class="input-text" type="text" name="field[]" style="width:200px" value="'.$k.'">					
    </span>
    
    <span class="btn-upload form-group">
        <input class="input-text" type="text" name="value[]" style="width:200px" value="'.$v.'">					
    </span>
    
    <a class="btn btn-danger radius delfile mt-5" type="submit">&nbsp;删除&nbsp;</a></div></div>';
}

return json('00', '请求成功', [
    'field' => $html,
    'result' => file_get_contents($result_path),
]);